Mailmus

Features

GET
/projects/{projectId}/b2b/features
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/features"
[  {    "key": "string",    "name": "string",    "type": "BOOLEAN",    "defaultEnabled": true,    "defaultLimit": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/b2b/features
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/features" \  -H "Content-Type: application/json" \  -d '{    "key": "seats",    "name": "Seats",    "type": "BOOLEAN"  }'
{  "key": "string",  "name": "string",  "type": "BOOLEAN",  "defaultEnabled": true,  "defaultLimit": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/projects/{projectId}/b2b/features/{key}
AuthorizationBearer <token>

In: header

Path Parameters

key*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/b2b/features/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "key": "string",  "name": "string",  "type": "BOOLEAN",  "defaultEnabled": true,  "defaultLimit": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/b2b/features/{key}
AuthorizationBearer <token>

In: header

Path Parameters

key*string
projectId*string

Response Body

curl -X DELETE "https://example.com/projects/string/b2b/features/string"
Empty